CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
POP3 Class Reference

## Public Member Functions
| __construct ()
| Constructor, sets the initial values public.
| Authorise ($host, $port=false, $tval=false, $username, $password, $debug_level=0)
| Combination of public events - connect, login, disconnect public.
| Connect ($host, $port=false, $tval=30)
| Connect to the POP3 server public.
| Login ($username= '', $password= '')
| Login to the POP3 server (does not support APOP yet) public.
| Disconnect ()
| Disconnect from the POP3 server public.

## Public Attributes
| $POP3_PORT = 110
| $POP3_TIMEOUT = 30
| $CRLF = "\r\n"
| $do_debug = 2
| $host
| $port
| $tval
| $username
| $password
| $Version = '5.2.1'

## Detailed Description

Definition at line 59 of file class.pop3.php.

## Constructor & Destructor Documentation

POP3::__construct | ( |  | ) |

Constructor, sets the initial values public.

Returns
  POP3

Definition at line 133 of file class.pop3.php.

## Member Function Documentation

POP3::Authorise | ( |  | $host,
|  |  | $port = `false`,
|  |  | $tval = `false`,
|  |  | $username,
|  |  | $password,
|  |  | $debug_level = `0`
| ) |  |

Combination of public events - connect, login, disconnect public.

Parameters

  string | $host |
  integer | $port |
  integer | $tval |
  string | $username |
  string | $password |

Definition at line 148 of file class.pop3.php.

References $host, $password, $POP3_PORT, $POP3_TIMEOUT, $port, $tval, $username, Connect(), Disconnect(), and Login().

POP3::Connect | ( |  | $host,
|  |  | $port = `false`,
|  |  | $tval = `30`
| ) |  |

Connect to the POP3 server public.

Parameters

  string | $host |
  integer | $port |
  integer | $tval |

Returns
  boolean

Definition at line 200 of file class.pop3.php.

References $host, $port, and $tval.

Referenced by Authorise().

Here is the caller graph for this function:

POP3::Disconnect | ( |  | ) |

Disconnect from the POP3 server public.

Definition at line 318 of file class.pop3.php.

Referenced by Authorise().

Here is the caller graph for this function:

POP3::Login | ( |  | $username = `''`,
|  |  | $password = `''`
| ) |  |

Login to the POP3 server (does not support APOP yet) public.

Parameters

  string | $username |
  string | $password |

Returns
  boolean

Definition at line 275 of file class.pop3.php.

References $CRLF, $password, and $username.

Referenced by Authorise().

Here is the caller graph for this function:

## Member Data Documentation

POP3::$CRLF = "\r\n"

Definition at line 76 of file class.pop3.php.

Referenced by Login().

POP3::$do_debug = 2

Definition at line 82 of file class.pop3.php.

POP3::$host

Definition at line 88 of file class.pop3.php.

Referenced by Authorise(), and Connect().

POP3::$password

Definition at line 112 of file class.pop3.php.

Referenced by Authorise(), and Login().

POP3::$POP3_PORT = 110

Definition at line 64 of file class.pop3.php.

Referenced by Authorise().

POP3::$POP3_TIMEOUT = 30

Definition at line 70 of file class.pop3.php.

Referenced by Authorise().

POP3::$port

Definition at line 94 of file class.pop3.php.

Referenced by Authorise(), and Connect().

POP3::$tval

Definition at line 100 of file class.pop3.php.

Referenced by Authorise(), and Connect().

POP3::$username

Definition at line 106 of file class.pop3.php.

Referenced by Authorise(), and Login().

POP3::$Version = '5.2.1'

Definition at line 118 of file class.pop3.php.

The documentation for this class was generated from the following file:

- lib/PHPMailer/class.pop3.php